# Class Discharge

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a discharge, typically referring to the release or emission of a substance, energy, or a patient leaving a medical facility.

    public class Discharge

Inheritance
  object
  Discharge

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AdminDischarge

    public DateTime? AdminDischarge { get; set; }

#### Property Value

DateTime?

### Destination

    public string? Destination { get; set; }

#### Property Value

string

### DestinationOption

    public OptionList? DestinationOption { get; set; }

#### Property Value

OptionList

### DischargeDate

    public DateTime DischargeDate { get; set; }

#### Property Value

DateTime

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### MedicalDischarge

    public DateTime? MedicalDischarge { get; set; }

#### Property Value

DateTime?

### NurseDischarge

    public DateTime? NurseDischarge { get; set; }

#### Property Value

DateTime?

### Patient

    public Patient? Patient { get; set; }

#### Property Value

Patient

### PatientId

    public ObjectId PatientId { get; set; }

#### Property Value

ObjectId

### PatientLocation

    public PatientLocation? PatientLocation { get; set; }

#### Property Value

PatientLocation

### PointOfCareId

    public ObjectId? PointOfCareId { get; set; }

#### Property Value

ObjectId?

### Service

    public string? Service { get; set; }

#### Property Value

string

### ServiceOption

    public OptionList? ServiceOption { get; set; }

#### Property Value

OptionList

### UnitId

    public ObjectId? UnitId { get; set; }

#### Property Value

ObjectId?